Bug 179183 - Web Inspector: Canvas Tab: record button on canvas card doesn't always show on hover, or is misplaced
Summary: Web Inspector: Canvas Tab: record button on canvas card doesn't always show o...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks: WebInspectorCanvasTab
  Show dependency treegraph
 
Reported: 2017-11-02 10:40 PDT by Brian Burg
Modified: 2018-01-18 11:50 PST (History)
8 users (show)

See Also:


Attachments
Video (33.07 MB, video/quicktime)
2017-11-02 10:40 PDT, Brian Burg
no flags Details
Patch (1.76 KB, patch)
2018-01-17 21:08 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (12.04 MB, application/zip)
2018-01-18 01:33 PST, EWS Watchlist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2017-11-02 10:40:21 PDT
Created attachment 325733 [details]
Video

This is really strange. Good luck!
Comment 1 Devin Rousso 2017-12-04 17:16:09 PST
I remember seeing this often in the past, but I haven't seen it in a while.  Is it still happening?
Comment 2 Brian Burg 2017-12-08 13:54:20 PST
Yes, mostly at narrow widths.
Comment 3 Devin Rousso 2018-01-17 21:08:01 PST
Created attachment 331589 [details]
Patch
Comment 4 EWS Watchlist 2018-01-18 01:32:50 PST
Comment on attachment 331589 [details]
Patch

Attachment 331589 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/6118171

New failing tests:
http/tests/misc/bubble-drag-events.html
Comment 5 EWS Watchlist 2018-01-18 01:33:00 PST
Created attachment 331605 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 6 Joseph Pecoraro 2018-01-18 11:17:24 PST
Comment on attachment 331589 [details]
Patch

r=me
Comment 7 WebKit Commit Bot 2018-01-18 11:41:04 PST
Comment on attachment 331589 [details]
Patch

Clearing flags on attachment: 331589

Committed r227155: <https://trac.webkit.org/changeset/227155>
Comment 8 WebKit Commit Bot 2018-01-18 11:41:05 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2018-01-18 11:50:25 PST
<rdar://problem/36628487>